
# Yenpoint 1Sat Ordinals NFT Library License Agreement

Version 1.0, [Current Date]

## 1. Definitions

- "Library" refers to the Yenpoint 1Sat Ordinals NFT Library and its associated documentation.
- "Individual Use" refers to personal and non-commercial use of the Library.
- "Commercial Use" refers to any use of the Library for business purposes or profit-making activities.
- "Yenpoint" refers to the organization responsible for developing, maintaining, and providing the Library.
- "Inscription Fee" refers to the mandatory fee payable to Yenpoint for each NFT issuance (currently 998 satoshis).
- "Metadata" refers to additional data that can be attached to NFTs, including descriptions, attributes, and other properties.

## 2. Individual Use License

### 2.1 License Grant
Subject to the terms of this Agreement, Yenpoint grants a worldwide, non-exclusive, non-transferable license for Individual Use only.

### 2.2 Terms of Use
- Users must pay the Yenpoint Inscription Fee (currently 998 satoshis, approximately 0.1 cents [USD]) for each NFT issuance. The fee is subject to change based on market conditions.
- The Inscription Fee payment mechanism may not be disabled or modified.
- All copies or derivative works of the Library must include Yenpoint's attribution notice.

### 2.3 Restrictions
- Redistribution of the Library is prohibited without prior written consent from Yenpoint.
- Commercial Use is not permitted under this license.
- Extended features such as metadata functionality are not available.

## 3. Enterprise License

### 3.1 Enterprise License Requirement
Commercial Use requires a separate Enterprise License Agreement with Yenpoint.

### 3.2 Enterprise Version Features and Benefits

#### 3.2.1 Core Benefit
- Waiver of Inscription Fees

#### 3.2.2 Extended Features
- NFT Metadata Functionality
  - Addition of detailed descriptions
  - Attribute configuration
  - Property definition
  - Custom metadata integration
- NFT Analysis Features
  - NFT data extraction from inscription transactions
  - Metadata and property visualization
  - NFT content analysis and display
- Priority Support Services

### 3.3 Obtaining Enterprise License
Please contact Yenpoint directly for Enterprise License pricing and terms.

## 4. General Provisions

### 4.1 No Warranty
The Library is provided "as is" without any warranty, whether express or implied.

### 4.2 Limitation of Liability
Yenpoint shall not be liable for any damages or claims arising from the use of the Library.

### 4.3 License Termination
This license automatically terminates upon any breach of its terms.

## 5. Support and Contact

For Enterprise License inquiries:
- Email: [info@yenpoint.com]
- Website: [https://yenpoint.com]

## 6. Agreement Amendments

Yenpoint reserves the right to amend this Agreement at any time. Any amendments will be announced through the Library's official channels.

Copyright © [Year] Yenpoint. All rights reserved.



# Yenpoint 1Sat Ordinals NFT ライブラリ ライセンス規約

バージョン 1.0, [現在の日付]

## 1. 用語の定義

- 「本ライブラリ」とは、Yenpoint 1Sat Ordinals NFTライブラリおよびその関連文書を指します。
- 「個人利用」とは、本ライブラリの個人的かつ非商用的な使用を指します。
- 「商用利用」とは、営利目的または事業として本ライブラリを使用することを指します。
- 「Yenpoint」とは、本ライブラリの開発・管理・提供元である組織を指します。
- 「インスクリプション手数料」とは、NFT発行時にYenpointへ支払いが必要な手数料を指します（現在998 satoshis）。
- 「メタデータ」とは、NFTに付与できる説明文、属性情報、その他のプロパティなどの追加データを指します。

## 2. 個人利用ライセンス

### 2.1 ライセンスの許諾
本規約の条件に従い、Yenpointは個人利用に限り、世界的、非独占的、譲渡不可能な使用権を許諾します。

### 2.2 利用条件
- NFTを発行する際は、Yenpointが定めるインスクリプション手数料（現在998 satoshis、約0.1セント[USD]相当）をお支払いいただく必要があります。なお、手数料は市場の状況により変更される場合があります。
- インスクリプション手数料の支払い機能を無効化または改変することはできません。
- 本ライブラリの複製や二次的著作物には、Yenpointのクレジット表示を必ず含める必要があります。

### 2.3 禁止事項
- Yenpointからの書面による事前承諾なしに、本ライブラリを再配布することはできません。
- 本ライセンスでは商用利用は認められません。
- メタデータ機能等の拡張機能は利用できません。

## 3. Enterprise ライセンス

### 3.1 Enterprise ライセンスについて
商用利用を行う場合は、別途Yenpointとのエンタープライズライセンス契約が必要です。

### 3.2 Enterprise版の特徴と利点

#### 3.2.1 基本特典
- インスクリプション手数料の無償化

#### 3.2.2 拡張機能
- NFTメタデータ機能
  - 詳細な説明文の付与
  - 属性情報の設定
  - プロパティの定義
  - カスタムメタデータの追加
- NFT解析機能
  - インスクリプショントランザクションからのNFTデータ抽出
  - メタデータ・プロパティの可視化
  - NFTコンテンツの解析と表示
- 優先サポートの提供

### 3.3 Enterprise ライセンスの取得
エンタープライズライセンスの料金体系や契約条件については、Yenpointまでお問い合わせください。

## 4. 一般条項

### 4.1 無保証
本ライブラリは現状有姿で提供され、明示または黙示を問わず、いかなる保証も行いません。

### 4.2 責任の制限
Yenpointは、本ライブラリの使用に起因して生じるいかなる損害や請求についても一切の責任を負いません。

### 4.3 ライセンスの失効
本規約の条件に違反した場合、ライセンスは自動的に失効します。

## 5. サポート・お問い合わせ

エンタープライズライセンスに関するお問い合わせ：
- メール：[info@yenpoint.com]
- Webサイト：[https://yenpoint.com]

## 6. 規約の改定

Yenpointは、本規約を随時改定する権利を有します。改定がある場合は、本ライブラリの公式チャネルを通じてお知らせいたします。

Copyright © [Year] Yenpoint. All rights reserved.
